This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1294323 - [abrt] workrave: Gtk::Widget::get_allocation() const(): workrave killed by SIGSEGV
[abrt] workrave: Gtk::Widget::get_allocation() const(): workrave killed by SI...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: workrave (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yaakov Selkowitz
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c806f7e7d096d34730574d56ea8...
:
Depends On: 1285442
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-26 19:26 EST by Marcin Zajaczkowski
Modified: 2016-03-09 15:11 EST (History)
3 users (show)

See Also:
Fixed In Version: workrave-1.10.10-1.fc23 workrave-1.10.10-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-03 15:24:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.62 KB, text/plain)
2015-12-26 19:26 EST, Marcin Zajaczkowski
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-26 19:26 EST, Marcin Zajaczkowski
no flags Details
File: core_backtrace (15.19 KB, text/plain)
2015-12-26 19:26 EST, Marcin Zajaczkowski
no flags Details
File: dso_list (11.77 KB, text/plain)
2015-12-26 19:26 EST, Marcin Zajaczkowski
no flags Details
File: environ (390 bytes, text/plain)
2015-12-26 19:26 EST, Marcin Zajaczkowski
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-26 19:26 EST, Marcin Zajaczkowski
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-26 19:26 EST, Marcin Zajaczkowski
no flags Details
File: maps (59.27 KB, text/plain)
2015-12-26 19:26 EST, Marcin Zajaczkowski
no flags Details

  None (edit)
Description Marcin Zajaczkowski 2015-12-26 19:26:05 EST
Description of problem:
After upgrade to Fedora 23 Workrave has stopped working with:
fish: “workrave” terminated by signal SIGSEGV (Address boundary error)
(here run from a console to see the result)

Used version: workrave-1.10-9.fc23.x86_64

Version-Release number of selected component:
workrave-1.10-9.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        workrave
crash_function: Gtk::Widget::get_allocation() const
executable:     /usr/bin/workrave
global_pid:     3550
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 1 Marcin Zajaczkowski 2015-12-26 19:26:14 EST
Created attachment 1109733 [details]
File: backtrace
Comment 2 Marcin Zajaczkowski 2015-12-26 19:26:16 EST
Created attachment 1109734 [details]
File: cgroup
Comment 3 Marcin Zajaczkowski 2015-12-26 19:26:18 EST
Created attachment 1109735 [details]
File: core_backtrace
Comment 4 Marcin Zajaczkowski 2015-12-26 19:26:21 EST
Created attachment 1109736 [details]
File: dso_list
Comment 5 Marcin Zajaczkowski 2015-12-26 19:26:23 EST
Created attachment 1109737 [details]
File: environ
Comment 6 Marcin Zajaczkowski 2015-12-26 19:26:25 EST
Created attachment 1109738 [details]
File: exploitable
Comment 7 Marcin Zajaczkowski 2015-12-26 19:26:27 EST
Created attachment 1109739 [details]
File: limits
Comment 8 Marcin Zajaczkowski 2015-12-26 19:26:30 EST
Created attachment 1109740 [details]
File: maps
Comment 9 Marcin Zajaczkowski 2015-12-26 19:41:50 EST
Another user experienced a similar problem:

After upgrade to Fedora 23 Workrave has stopped working with:
fish: “workrave” terminated by signal SIGSEGV (Address boundary error)
(here run from a console to see the result)

Used version: workrave-1.10-9.fc23.x86_64

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        workrave
crash_function: Gtk::Widget::get_allocation() const
executable:     /usr/bin/workrave
global_pid:     3550
kernel:         4.2.8-300.fc23.x86_64
package:        workrave-1.10-9.fc23
reason:         workrave killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 10 Fedora Admin XMLRPC Client 2015-12-28 13:27:42 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Update System 2016-02-26 17:15:21 EST
workrave-1.10.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-512f1582a3
Comment 12 Fedora Update System 2016-02-26 17:16:14 EST
workrave-1.10.10-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a5ec37671
Comment 13 Fedora Update System 2016-02-28 08:53:18 EST
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a5ec37671
Comment 14 Fedora Update System 2016-02-28 08:55:13 EST
workrave-1.10.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-512f1582a3
Comment 15 Fedora Update System 2016-03-03 15:24:18 EST
workrave-1.10.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-03-09 11:21:20 EST
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-03-09 13:46:00 EST
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-03-09 15:11:35 EST
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.